# Alias Directory Service
Alias Directory Service

## Version: 1

### Servers

| URL | Description |
| --- | ----------- |
| https://sandbox.api.visa.com | Sandbox server |

---
### Schemas

#### BankName Schema

| Name | Type | Description | Required |
| ---- | ---- | ----------- | -------- |
| BankName | string |  |  |

**Example**
<pre>Bank A</pre>

#### AliasInquiryItemAD Schema

| Name | Type | Description | Required |
| ---- | ---- | ----------- | -------- |
| entities |  | Entities where the Alias is present. For example, an entity could be a bank within the remote directory.  | No |
| aliasType | <br>**Available values:** "PHONE", "EMAIL", "DIRECTORY_ALIASID", "PAYNAME", "NATIVE_ALIAS", "NATIONAL_ID" | The type of Alias in aliasValue<br>*Enum:* `"PHONE"`, `"EMAIL"`, `"DIRECTORY_ALIASID"`, `"PAYNAME"`, `"NATIVE_ALIAS"`, `"NATIONAL_ID"`<br>*Example:* `"PHONE"` | Yes |
| aliasValue |  | This attribute contains the alias data, e.g. phone number, email address, etc. <br>If phone number is used for alias, this should be provided in accordance with ITU-T E.164 (2010) number structure. <br>*Example:* `"1231564987"` | Yes |

#### PaymentCredentialCreateUpdateResponse-1 Schema

| Name | Type | Description | Required |
| ---- | ---- | ----------- | -------- |
| id |  |  | Yes |
| type | <br>**Available values:** "BANK", "CARD" | Payment credential type<br>*Enum:* `"BANK"`, `"CARD"`<br>*Example:* `"CARD"` | Yes |
| externalId |  | externalId is a client-provided identifier for the payment credential. If clients already use an identifier for the payment credential in their internal systems, they can re-use the same value here and manage the payment credential with this identifier.<br>*Example:* `"63421837-d597-4f0f-89e4-930c1a7b9e85"` | No |

#### AliasExternalId-1 Schema

externalId is a client-provided identifier for the Alias. If clients already use an identifier for the Alias in their internal systems, they can re-use the same value here and manage the Alias with this identifier.

| Name | Type | Description | Required |
| ---- | ---- | ----------- | -------- |
| AliasExternalId-1 |  | externalId is a client-provided identifier for the Alias. If clients already use an identifier for the Alias in their internal systems, they can re-use the same value here and manage the Alias with this identifier. |  |

**Example**
<pre>21267931-7975-4b61-be7a-86915883b2b4</pre>

#### AliasExternalId Schema

externalId is a client-provided identifier for the Alias. If clients already use an identifier for the Alias in their internal systems, they can re-use the same value here and manage the Alias with this identifier.

| Name | Type | Description | Required |
| ---- | ---- | ----------- | -------- |
| AliasExternalId | string | externalId is a client-provided identifier for the Alias. If clients already use an identifier for the Alias in their internal systems, they can re-use the same value here and manage the Alias with this identifier. |  |

**Example**
<pre>21267931-7975-4b61-be7a-86915883b2b4</pre>

#### BankAliasConfirmResponse Schema

| Name | Type | Description | Required |
| ---- | ---- | ----------- | -------- |
| BankAliasConfirmResponse | { **"type"**: string, **"bankName"**: string } |  |  |

#### PaymentCredentialExternalId Schema

externalId is a client-provided identifier for the payment credential. If clients already use an identifier for the payment credential in their internal systems, they can re-use the same value here and manage the payment credential with this identifier.

| Name | Type | Description | Required |
| ---- | ---- | ----------- | -------- |
| PaymentCredentialExternalId | string | externalId is a client-provided identifier for the payment credential. If clients already use an identifier for the payment credential in their internal systems, they can re-use the same value here and manage the payment credential with this identifier. |  |

**Example**
<pre>63421837-d597-4f0f-89e4-930c1a7b9e85</pre>

#### AlphaCountryCode Schema

this field contains ISO3166 country code (Alpha-3).

| Name | Type | Description | Required |
| ---- | ---- | ----------- | -------- |
| AlphaCountryCode | string (We recommend to use the Alpha-3) | this field contains ISO3166 country code (Alpha-3). |  |

**Example**
<pre>USA</pre>

#### PreferredPaymentCredentialsRequest-1 Schema

| Name | Type | Description | Required |
| ---- | ---- | ----------- | -------- |
| type | <br>**Available values:** "BANK", "CARD" | The type of Alias in aliasValue<br>*Enum:* `"BANK"`, `"CARD"`<br>*Example:* `"CARD"` | Yes |
| preferredFor |  |  | No |

#### Consent Schema

| Name | Type | Description | Required |
| ---- | ---- | ----------- | -------- |
| consent | { **"version"**: string, **"presenter"**: string, **"expiryDateTime"**: dateTime, **"intermediaries"**: [ string ], **"validFromDateTime"**: dateTime } | Consent details | No |

#### GetBatchResultResponse-1 Schema

Response for getBatchResult operation.

| Name | Type | Description | Required |
| ---- | ---- | ----------- | -------- |
| data |  | Content of result file. Base64 encoded. The binary file is compressed with Zstd.<br>*Example:* `"ZXhhbXBsZQ=="` | Yes |

#### AliasMetadataResponse Schema

| Name | Type | Description | Required |
| ---- | ---- | ----------- | -------- |
| AliasMetadataResponse | [ { **"aliasValue"**: string, **"statusDetails"**: { **"code"**: string, **"message"**: string } } ] |  |  |

#### PaymentCredentialItemAliasConfirmResponse Schema

| Name | Type | Description | Required |
| ---- | ---- | ----------- | -------- |
| PaymentCredentialItemAliasConfirmResponse | { **"type"**: string, **"issuerName"**: string } or { **"type"**: string, **"bankName"**: string } |  |  |

#### BankConfirmPath Schema

| Name | Type | Description | Required |
| ---- | ---- | ----------- | -------- |
| type |  | In this case, value must be: `BANK` <br>*Example:* `"BANK"` | Yes |
| bankName |  | Bank name of the payment credential  ISO20022 element name: Creditor Agent -> Financial Institution -> Name <br>*Example:* `"Bank of America"` | Yes |

#### ErrorResponseAD Schema

| Name | Type | Description | Required |
| ---- | ---- | ----------- | -------- |
| errorCode |  | Code to identify the type of error.<br>*Example:* `"404"` | Yes |
| errorMessages |  | Textual description for the reason of the error | Yes |

#### AdditionalAliasId Schema

This is the UUID generated by Alias Directory which identifies the Additional Alias

| Name | Type | Description | Required |
| ---- | ---- | ----------- | -------- |
| AdditionalAliasId | string | This is the UUID generated by Alias Directory which identifies the Additional Alias |  |

**Example**
<pre>e336c8c8-2945-4be3-af3e-951ec2d01219</pre>

#### AliasMetadataListRequest-1 Schema

List of aliases metadata to create.

| Name | Type | Description | Required |
| ---- | ---- | ----------- | -------- |
| AliasMetadataListRequest-1 |  | List of aliases metadata to create. |  |

#### CreateAdditionalAliasRequest-1 Schema

| Name | Type | Description | Required |
| ---- | ---- | ----------- | -------- |
| type | <br>**Available values:** "PHONE", "EMAIL", "DIRECTORY_ALIASID", "PAYNAME" | The type of Alias in aliasValue<br>*Enum:* `"PHONE"`, `"EMAIL"`, `"DIRECTORY_ALIASID"`, `"PAYNAME"`<br>*Example:* `"PHONE"` | Yes |
| value |  | A customer unique identifier that represents him in the payment ecosystem where the user move funds. The format will change depending the type.<br>*Example:* `"1231231234"` | Yes |

#### AliasListReportRequest Schema

| Name | Type | Description | Required |
| ---- | ---- | ----------- | -------- |
| page | integer | the page of the report list, default if non present takes the inital page as<br>*Example:* `0` | No |
| endDate | dateTime | Date when alias was created, in ISO UTC format YYYY-MM-DDThh:mm:ss.000Z<br>*Example:* `"2021-01-01T22:52:46.000Z"` | Yes |
| aliasIds | [ string ] | The alias ids to be filtered for the report<br>*Example:* `["b180e260-db5a-4539-aad8-374705fadc68"]` | No |
| startDate | dateTime | Date when alias was created, in ISO UTC format YYYY-MM-DDThh:mm:ss.000Z<br>*Example:* `"2021-01-01T22:52:46.000Z"` | Yes |
| aliasTypes | [ string, <br>**Available values:** "PHONE", "EMAIL" ] | The alias types for the report | No |
| aliasValues | [ string ] | The alias values to be filtered for the report<br>*Example:* `["2547896321"]` | No |
| aliasStatuses | [ string, <br>**Available values:** "ACTIVE", "DISABLED", "BLOCKED", "EXPIRED" ] | The statuses for the report | No |
| participantIds | [ string ] | The Participants to be filtered for the report<br>*Example:* `["5462e634-6c8b-429c-a537-894e0f2e2788"]` | No |
| aliasExternalIds | [ string ] | The alias external ids to be filtered for the report<br>*Example:* `["d8dbdfd2-f0df-4d6d-95fb-9f63af9db7a1"]` | No |

#### AssociatedIdsItemResponse-1 Schema

| Name | Type | Description | Required |
| ---- | ---- | ----------- | -------- |
| id |  |  | No |
| type | <br>**Available values:** "ALIAS", "PAYMENT_CREDENTIAL" |  | No |

#### Error400GetPcResponse Schema

| Name | Type | Description | Required |
| ---- | ---- | ----------- | -------- |
| errorCode | string | Code to identify the type of error. Fixed 400 in this case<br>*Example:* `"400"` | Yes |
| errorMessages | [ string ] | Description of the error reason | Yes |

#### PreferredPaymentCredentialsNoPreferredForResponse-1 Schema

Array of Card or BankAccount

| Name | Type | Description | Required |
| ---- | ---- | ----------- | -------- |
| PreferredPaymentCredentialsNoPreferredForResponse-1 |  | Array of Card or BankAccount |  |

#### TransactionDetails-1 Schema

| Name | Type | Description | Required |
| ---- | ---- | ----------- | -------- |
| currencyCode |  | ISO 4217 currency code. Allows a client to specify the currency of the payment credential returned in the Alias Resolution response.  ISO20022 element name: Creditor Account - > Currency <br>*Example:* `"USD"` | No |

#### Error422ResponseAD Schema

| Name | Type | Description | Required |
| ---- | ---- | ----------- | -------- |
| errorCode |  | Code to identify the type of error.<br>*Example:* `"422"` | Yes |
| errorMessages |  | Textual description for the reason of the error | Yes |

#### AliasInquiryResponseInternal-1 Schema

Alias Inquiry Response Payload

| Name | Type | Description | Required |
| ---- | ---- | ----------- | -------- |
| details |  | Alias information associated with found records | No |
| summary | { **"aliasesFound"**: undefined (int32), **"aliasesTotal"**: undefined (int32), **"aliasesNotFound"**: undefined (int32), **"aliasesRepeated"**: undefined (int32) } | Summary of found Aliases | Yes |

**Example**
<pre>{
  "details": [
    {
      "aliasType": "PHONE",
      "aliasValue": "123456",
      "directories": [
        {
          "entities": [
            {
              "id": "1101"
            },
            {
              "id": "1102",
              "preferredFor": [
                {
                  "date": "1980-02-01T10:00:00Z",
                  "type": "RECEIVE"
                }
              ]
            }
          ],
          "directoryName": "DIRECTORY_A"
        },
        {
          "directoryName": "DIRECTORY_B"
        }
      ],
      "directoriesName": [
        "DIRECTORY_A",
        "DIRECTORY_B"
      ]
    }
  ],
  "summary": {
    "aliasesFound": 1,
    "aliasesTotal": 1,
    "aliasesNotFound": 0,
    "aliasesRepeated": 0
  }
}</pre>

#### Error422PcResponse-1 Schema

| Name | Type | Description | Required |
| ---- | ---- | ----------- | -------- |
| errorCode |  | Code to identify the type of error.<br>*Example:* `"LDS-30012"` | Yes |
| errorMessages |  | Description of the error reason | Yes |

#### AssociatedIdsItemResponse Schema

| Name | Type | Description | Required |
| ---- | ---- | ----------- | -------- |
| id | string |  | No |
| type | string, <br>**Available values:** "ALIAS", "PAYMENT_CREDENTIAL" |  | No |

#### PreferredTypeResponse Schema

| Name | Type | Description | Required |
| ---- | ---- | ----------- | -------- |
| date | dateTime | ISO formatted Timestamp<br>*Example:* `"2021-01-01T22:52:46Z"` | No |
| type | string, <br>**Available values:** "RECEIVE", "SEND", "PAY" | Indicates if a payment credential is a preferred Receiving, Sending, or Paying account. Receiving allows for funds to be pushed into the payment credential. Sending allows for funds to be sent from the payment credential. Paying allows for the payment credential to be used for purchases. More than one preferred type can be used.<br>*Enum:* `"RECEIVE"`, `"SEND"`, `"PAY"`<br>*Example:* `"RECEIVE"` | No |

#### BankAccountDetails-1 Schema

| Name | Type | Description | Required |
| ---- | ---- | ----------- | -------- |
| type |  | In this case, value must be `BANK` | No |

#### Id-1 Schema

UUID to uniquely identify an object.

| Name | Type | Description | Required |
| ---- | ---- | ----------- | -------- |
| Id-1 |  | UUID to uniquely identify an object. |  |

**Example**
<pre>d1162433-d7f9-443a-9a91-0aaa1eb29a7c</pre>

#### AliasInquiryEntityItem-1 Schema

| Name | Type | Description | Required |
| ---- | ---- | ----------- | -------- |
| id |  | Id of the entity used to identify the entity<br>*Example:* `"entity1"` | No |
| preferredFor |  | Preferred for information for each entity | No |

#### UpdatePaymentCredentialStatusRequest Schema

| Name | Type | Description | Required |
| ---- | ---- | ----------- | -------- |
| status | string, <br>**Available values:** "ACTIVE", "BLOCKED", "DELETED", "EXPIRED", "DISABLED" | Set the new status for the Payment Credential.<br>*Enum:* `"ACTIVE"`, `"BLOCKED"`, `"DELETED"`, `"EXPIRED"`, `"DISABLED"` | No |

#### Bank Schema

| Name | Type | Description | Required |
| ---- | ---- | ----------- | -------- |
| BIC | string | Bank account Business Identifier Code (BIC)  Conditional for select markets.   ISO20022 element name: Creditor Agent -> Financial Institution -> BICFI  | No |
| type | string | In this case, value must be: `BANK` <br>*Example:* `"BANK"` | No |
| address | { **"city"**: string, **"state"**: string (We recommend to use the ISO 3166-2), **"country"**: string (We recommend to use the Alpha-3), **"postalCode"**: string, **"streetName"**: string, **"addressLine1"**: string, **"addressLine2"**: string, **"buildingNumber"**: string, **"minorSubdivisionCode"**: string } |  | Yes |
| bankCode | string | Bank account bank code  Conditional for select markets.   ISO20022 element name: Creditor Agent -> Financial Institution -> Clearing System Member Identification <br>*Example:* `"173"` | No |
| bankName | string | Bank name of the payment credential  ISO20022 element name: Creditor Agent -> Financial Institution -> Name <br>*Example:* `"Bank A"` | Yes |
| branchCode | string | Bank account branch code  Conditional for select markets.   ISO20022 field name: Creditor Agent Branch Identification <br>*Example:* `"123456"` | No |
| accountName | string | Bank account name, i.e., account holder name as recorded on the bank account. Clients in CEMEA and the EU must use only one first letter of customer’s last name followed by dot symbol to create or modify an Alias record. For example, the alias record for customer John Smith should be created or modified by the Issuer with first and last name fields as 'John S.'  ISO20022 element name: Creditor Account -> Name <br>*Example:* `"Alex Miller"` | Yes |
| accountType | string, <br>**Available values:** "CHECKING", "SAVING" | Bank account type  ISO20022 element name: Creditor Account -> Type <br>*Enum:* `"CHECKING"`, `"SAVING"` | No |
| countryCode | string (We recommend to use the Alpha-3) | Bank account country code. <br> </br> Format: 3-character ISO-3166 (Alpha-3) country code  ISO20022 element name: Creditor Agent -> Financial Institution -> Country <br>*Example:* `"USA"` | Yes |
| bankCodeType | string, <br>**Available values:** "ABA", "SORT_CODE", "DEFAULT" | Bank account bank code type  Conditional for select markets.   ISO20022 element name: Creditor Agent -> Financial Institution -> Clearing System Member Identification -> Clearing System Identification <br>*Enum:* `"ABA"`, `"SORT_CODE"`, `"DEFAULT"` | No |
| currencyCode | string | Bank account currency code  Format: 3-character ISO-4217 (Alpha-3) currency code  ISO20022 element name: Creditor Account -> Currency <br>*Example:* `"USD"` | Yes |
| accountNumber | string | Bank account number  ISO20022 element name: Creditor Account Number <br>*Example:* `"4111111145551140"` | Yes |
| accountNumberType | string, <br>**Available values:** "IBAN", "DEFAULT", "TOKEN" | Bank account number type. Valid values: 'IBAN', 'DEFAULT' and 'TOKEN'. If the IBAN format is not supported in a country, use DEFAULT. <br>*Enum:* `"IBAN"`, `"DEFAULT"`, `"TOKEN"`<br>*Example:* `"DEFAULT"` | Yes |

#### AliasProfileResponse Schema

Profile details for the customer that owns the Alias.

| Name | Type | Description | Required |
| ---- | ---- | ----------- | -------- |
| lastName | string | Last name in English.  ISO20022 element name: Creditor -> Name  Example: "Miller" <br>*Example:* `"Miller"` | Yes |
| firstName | string | First name in English  ISO20022 element name: Creditor -> Name <br>*Example:* `"Alex"` | Yes |
| middleName | string | Middle name in English<br>*Example:* `"Robert"` | No |
| contactInfo | [ { **"type"**: string, <br>**Available values:** "EMAIL", "PHONE", "DIRECTORY_ALIASID", **"value"**: string } ] |  | No |
| dateOfBirth | string | Date of birth.  ISO20022 element name: Creditor -> Private Identification -> Date of Birth  | No |
| lastNameLocal | string | Last name in English.  ISO20022 element name: Creditor -> Name  Example: "Miller" <br>*Example:* `"Miller"` | No |
| preferredName | string | Preferred name (or the 'known-as' name)<br>*Example:* `"Miller's Shop"` | No |
| firstNameLocal | string | First name in local language<br>*Example:* `"Alexander"` | No |
| middleNameLocal | string | Middle name in local language<br>*Example:* `"Roberto"` | No |

#### BIC-1 Schema

Business Identifier Code (BIC) of the Sponsor FI (Acquirer)
ISO20022 field name: Debtor Agent FI BIC

| Name | Type | Description | Required |
| ---- | ---- | ----------- | -------- |
| BIC-1 |  | Business Identifier Code (BIC) of the Sponsor FI (Acquirer) ISO20022 field name: Debtor Agent FI BIC  |  |

**Example**
<pre>AAAABBCC123</pre>

#### AliasResolveBasicResponseAD Schema

| Name | Type | Description | Required |
| ---- | ---- | ----------- | -------- |
| profile | { **"lastName"**: , **"firstName"**: , **"middleName"**: , **"contactInfo"**: , **"dateOfBirth"**: , **"lastNameLocal"**: , **"preferredName"**: , **"firstNameLocal"**: , **"middleNameLocal"**:  } | Profile details for the customer that owns the Alias | Yes |
| identification | { **"type"**: , **"value"**: , **"verificationDetails"**: { **"authDateTime"**: undefined (date-time), **"verifiedEmail"**: , **"verifiedPhone"**: , **"creationDateTime"**: undefined (date-time), **"authMethodReference"**:  } } | Form of identification. This object is optional and only used for specific use cases. | No |
| paymentCredentials |  | List of payment credentials associated with an Alias | Yes |

#### FileId-1 Schema

This is the UUID generated by the Report which identifies the File who is part of the report

| Name | Type | Description | Required |
| ---- | ---- | ----------- | -------- |
| FileId-1 |  | This is the UUID generated by the Report which identifies the File who is part of the report |  |

**Example**
<pre>e336c8c8-2945-4be3-af3e-951ec2d01219</pre>

#### Error404AliasResponse Schema

| Name | Type | Description | Required |
| ---- | ---- | ----------- | -------- |
| errorCode | string | Code to identify the type of error.<br>*Example:* `"LDS-30002"` | Yes |
| errorMessages | [ string ] | Description of the error reason | Yes |

#### AliasMetadataResponseList Schema

Alias create response

| Name | Type | Description | Required |
| ---- | ---- | ----------- | -------- |
| aliases | [ { **"aliasValue"**: string, **"statusDetails"**: { **"code"**: string, **"message"**: string } } ] |  | No |

#### CardGetResponse Schema

| Name | Type | Description | Required |
| ---- | ---- | ----------- | -------- |
| id | string | This is an UUID generated by Alias Directory which identifies the payment credential<br>*Example:* `"a44c9553-e687-4f3c-b7e7-a4245d9f238e"` | No |
| accountNumberType | string, <br>**Available values:** "NIUBIZ", "PAN", "TOKEN" | Card account number type. Valid values: 'NIUBIZ', 'PAN' and 'TOKEN'. <br>*Enum:* `"NIUBIZ"`, `"PAN"`, `"TOKEN"`<br>*Example:* `"TOKEN"` | No |

#### PaymentCredentialItemAliasResponseResolve Schema

| Name | Type | Description | Required |
| ---- | ---- | ----------- | -------- |
| PaymentCredentialItemAliasResponseResolve | { **"modifiedOn"**: undefined (date-time) } or { **"modifiedOn"**: undefined (date-time) } |  |  |

#### AliasNonDeletedStatuses Schema

| Name | Type | Description | Required |
| ---- | ---- | ----------- | -------- |
| AliasNonDeletedStatuses | string, <br>**Available values:** "ACTIVE", "DISABLED", "BLOCKED", "EXPIRED" |  |  |

#### AliasConfirmRequestAD Schema

Alias information to confirm the identity of the person associated with the alias

| Name | Type | Description | Required |
| ---- | ---- | ----------- | -------- |
| filters |  | List of the filter to apply in the request | No |
| aliasType | <br>**Available values:** "PHONE", "EMAIL", "DIRECTORY_ALIASID", "PAYNAME", "NATIVE_ALIAS", "NATIONAL_ID" | The type of Alias provided in aliasValue.   ISO20022 element name: Proxy -> Type <br>*Enum:* `"PHONE"`, `"EMAIL"`, `"DIRECTORY_ALIASID"`, `"PAYNAME"`, `"NATIVE_ALIAS"`, `"NATIONAL_ID"`<br>*Example:* `"PHONE"` | Yes |
| aliasValue |  | The value of the Alias, e.g., phone number, email address or payname.    ISO20022 element name: Proxy -> Identification <br>*Example:* `"1231231234"` | Yes |
| userDetails | { **"userName"**:  } | Provides information about the end user who is requesting an Alias Resolution. This is used for risk and fraud prevention purposes. | No |
| initiatingPartyId |  | The identifier of the party initiating the Alias resolution.<br>*Example:* `"2d94b7fd-ff00-4985-9058-1d9bd7b69cf4"` | Yes |
| transactionDetails | { **"currencyCode"**:  } | Additional transaction information which is used in the Alias Confirm request. | No |

#### PaymentCredentialItemAliasResponse-1 Schema

| Name | Type | Description | Required |
| ---- | ---- | ----------- | -------- |
| PaymentCredentialItemAliasResponse-1 | { **"type"**: , **"cardType"**: , **"issuerName"**: , **"nameOnCard"**: , **"currencyCode"**: , **"accountNumber"**: , **"billingAddress"**: { **"city"**: , **"state"**: undefined (We recommend to use the ISO 3166-2), **"country"**: undefined (We recommend to use the Alpha-3), **"postalCode"**: , **"streetName"**: , **"addressLine1"**: , **"addressLine2"**: , **"buildingNumber"**: , **"minorSubdivisionCode"**:  }, **"expirationDate"**: undefined (YYYY-MM), **"lastFourDigits"**: , **"accountNumberType"**: <br>**Available values:** "NIUBIZ", "TOKEN", "PAN" } & { **"modifiedOn"**: undefined (date-time) } & { **"preferredFor"**:  } or { **"BIC"**: , **"type"**: , **"address"**: { **"city"**: , **"state"**: undefined (We recommend to use the ISO 3166-2), **"country"**: undefined (We recommend to use the Alpha-3), **"postalCode"**: , **"streetName"**: , **"addressLine1"**: , **"addressLine2"**: , **"buildingNumber"**: , **"minorSubdivisionCode"**:  }, **"bankCode"**: , **"bankName"**: , **"branchCode"**: , **"accountName"**: , **"accountType"**: <br>**Available values:** "CHECKING", "SAVING", **"countryCode"**: undefined (We recommend to use the Alpha-3), **"bankCodeType"**: <br>**Available values:** "ABA", "SORT_CODE", "DEFAULT", **"currencyCode"**: , **"accountNumber"**: , **"accountNumberType"**: <br>**Available values:** "IBAN", "DEFAULT", "TOKEN", "CCI" } & { **"modifiedOn"**: undefined (date-time) } & { **"preferredFor"**:  } |  |  |

#### Error400UpdateAliasResponse Schema

| Name | Type | Description | Required |
| ---- | ---- | ----------- | -------- |
| errorCode | string | Code to identify the type of error. Fixed 400 in this case<br>*Example:* `"400"` | Yes |
| errorMessages | [ string ] | Description of the error reason | Yes |

#### Filters-1 Schema

List of the filter to apply in the request

| Name | Type | Description | Required |
| ---- | ---- | ----------- | -------- |
| Filters-1 |  | List of the filter to apply in the request |  |

#### BankGetPcAccountDetails Schema

| Name | Type | Description | Required |
| ---- | ---- | ----------- | -------- |
| type |  | In this case, value must be `BANK` | No |

#### BankAliasResponse-1 Schema

| Name | Type | Description | Required |
| ---- | ---- | ----------- | -------- |
| BankAliasResponse-1 | { **"BIC"**: , **"type"**: , **"address"**: { **"city"**: , **"state"**: undefined (We recommend to use the ISO 3166-2), **"country"**: undefined (We recommend to use the Alpha-3), **"postalCode"**: , **"streetName"**: , **"addressLine1"**: , **"addressLine2"**: , **"buildingNumber"**: , **"minorSubdivisionCode"**:  }, **"bankCode"**: , **"bankName"**: , **"branchCode"**: , **"accountName"**: , **"accountType"**: <br>**Available values:** "CHECKING", "SAVING", **"countryCode"**: undefined (We recommend to use the Alpha-3), **"bankCodeType"**: <br>**Available values:** "ABA", "SORT_CODE", "DEFAULT", **"currencyCode"**: , **"accountNumber"**: , **"accountNumberType"**: <br>**Available values:** "IBAN", "DEFAULT", "TOKEN", "CCI" } & { **"modifiedOn"**: undefined (date-time) } & { **"preferredFor"**:  } |  |  |

#### CardAliasResponse Schema

| Name | Type | Description | Required |
| ---- | ---- | ----------- | -------- |
| CardAliasResponse | { **"type"**: string, **"cardType"**: string, **"issuerName"**: string, **"nameOnCard"**: string, **"currencyCode"**: string, **"accountNumber"**: string, **"billingAddress"**: { **"city"**: string, **"state"**: string (We recommend to use the ISO 3166-2), **"country"**: string (We recommend to use the Alpha-3), **"postalCode"**: string, **"streetName"**: string, **"addressLine1"**: string, **"addressLine2"**: string, **"buildingNumber"**: string, **"minorSubdivisionCode"**: string }, **"expirationDate"**: string (YYYY-MM), **"lastFourDigits"**: string, **"accountNumberType"**: string, <br>**Available values:** "NIUBIZ", "TOKEN", "PAN" } & { **"modifiedOn"**: dateTime } & { **"preferredFor"**: [ { **"date"**: dateTime, **"type"**: string, <br>**Available values:** "RECEIVE", "SEND", "PAY" } ] } |  |  |

#### Error400PcStatusResponse Schema

| Name | Type | Description | Required |
| ---- | ---- | ----------- | -------- |
| errorCode | string | Code to identify the type of error. Fixed 400 in this case<br>*Example:* `"400"` | Yes |
| errorMessages | [ string ] | Description of the error reason | Yes |

#### GetPlatformRequestResponse Schema

| Name | Type | Description | Required |
| ---- | ---- | ----------- | -------- |
| programId | string | The Program Id<br>*Example:* `"baf85624-3cf6-4c52-b91f-b8f3493e7330"` | No |
| statusCode | integer | The response status<br>*Example:* `200` | No |
| operationType | string | The operation type<br>*Example:* `"resolveAlias"` | No |
| operationsCount | integer | The operations count<br>*Example:* `18` | No |
| originatorActorId | string | The Originator Actor Id<br>*Example:* `"012af73f-44d8-4c9c-bbee-628b07faae1c"` | No |

#### Error400PcResponse Schema

| Name | Type | Description | Required |
| ---- | ---- | ----------- | -------- |
| errorCode | string | Code to identify the type of error. Fixed 400 in this case<br>*Example:* `"400"` | Yes |
| errorMessages | [ string ] | Description of the error reason | Yes |

#### AliasResolveBasicResponse Schema

| Name | Type | Description | Required |
| ---- | ---- | ----------- | -------- |
| directoryName | string | Name of the external directory where was found the payment<br>*Example:* `"DIRECTORY_A"` | No |
| paymentCredentials | [ { **"type"**: string, **"cardType"**: string, **"issuerName"**: string, **"nameOnCard"**: string, **"currencyCode"**: string, **"accountNumber"**: string, **"billingAddress"**: { **"city"**: string, **"state"**: string (We recommend to use the ISO 3166-2), **"country"**: string (We recommend to use the Alpha-3), **"postalCode"**: string, **"streetName"**: string, **"addressLine1"**: string, **"addressLine2"**: string, **"buildingNumber"**: string, **"minorSubdivisionCode"**: string }, **"expirationDate"**: string (YYYY-MM), **"lastFourDigits"**: string, **"accountNumberType"**: string, <br>**Available values:** "NIUBIZ", "TOKEN", "PAN" } & { **"modifiedOn"**: dateTime } & { **"preferredFor"**: [ { **"date"**: dateTime, **"type"**: string, <br>**Available values:** "RECEIVE", "SEND", "PAY" } ] } or { **"BIC"**: string, **"type"**: string, **"address"**: { **"city"**: string, **"state"**: string (We recommend to use the ISO 3166-2), **"country"**: string (We recommend to use the Alpha-3), **"postalCode"**: string, **"streetName"**: string, **"addressLine1"**: string, **"addressLine2"**: string, **"buildingNumber"**: string, **"minorSubdivisionCode"**: string }, **"bankCode"**: string, **"bankName"**: string, **"branchCode"**: string, **"accountName"**: string, **"accountType"**: string, <br>**Available values:** "CHECKING", "SAVING", **"countryCode"**: string (We recommend to use the Alpha-3), **"bankCodeType"**: string, <br>**Available values:** "ABA", "SORT_CODE", "DEFAULT", **"currencyCode"**: string, **"accountNumber"**: string, **"accountNumberType"**: string, <br>**Available values:** "IBAN", "DEFAULT", "TOKEN" } & { **"modifiedOn"**: dateTime } & { **"preferredFor"**: [ { **"date"**: dateTime, **"type"**: string, <br>**Available values:** "RECEIVE", "SEND", "PAY" } ] } ] | List of payment credentials linked to an Alias | No |

#### Date-1 Schema

Date ISO-8601 Format https://www.w3.org/TR/NOTE-datetime

| Name | Type | Description | Required |
| ---- | ---- | ----------- | -------- |
| Date-1 |  | Date ISO-8601 Format https://www.w3.org/TR/NOTE-datetime |  |

**Example**
<pre>1980-02-01</pre>

#### AliasListReportRequest-1 Schema

| Name | Type | Description | Required |
| ---- | ---- | ----------- | -------- |
| page | undefined (int32) | the page of the report list, default if non present takes the inital page as<br>*Example:* `0` | No |
| endDate | undefined (date-time) | Date when alias was created, in ISO UTC format YYYY-MM-DDThh:mm:ss.000Z<br>*Example:* `"2021-01-01T22:52:46.000Z"` | Yes |
| aliasIds |  | The alias ids to be filtered for the report<br>*Example:* `["b180e260-db5a-4539-aad8-374705fadc68"]` | No |
| startDate | undefined (date-time) | Date when alias was created, in ISO UTC format YYYY-MM-DDThh:mm:ss.000Z<br>*Example:* `"2021-01-01T22:52:46.000Z"` | Yes |
| aliasTypes |  | The alias types for the report | No |
| aliasValues |  | The alias values to be filtered for the report<br>*Example:* `["2547896321"]` | No |
| aliasStatuses |  | The statuses for the report | No |
| participantIds |  | The Participants to be filtered for the report<br>*Example:* `["5462e634-6c8b-429c-a537-894e0f2e2788"]` | No |
| aliasExternalIds |  | The alias external ids to be filtered for the report<br>*Example:* `["d8dbdfd2-f0df-4d6d-95fb-9f63af9db7a1"]` | No |

#### Consent-1 Schema

| Name | Type | Description | Required |
| ---- | ---- | ----------- | -------- |
| consent | { **"version"**: , **"presenter"**: , **"expiryDateTime"**: undefined (date-time), **"intermediaries"**: , **"validFromDateTime"**: undefined (date-time) } | Consent details | No |

#### CreatePaymentCredentialRequest-1 Schema

| Name | Type | Description | Required |
| ---- | ---- | ----------- | -------- |
| CreatePaymentCredentialRequest-1 | { **"type"**: <br>**Available values:** "BANK", "CARD", **"externalId"**: , **"preferredFor"**:  } & { **"type"**: , **"cardType"**: , **"issuerName"**: , **"nameOnCard"**: , **"currencyCode"**: , **"accountNumber"**: , **"billingAddress"**: { **"city"**: , **"state"**: undefined (We recommend to use the ISO 3166-2), **"country"**: undefined (We recommend to use the Alpha-3), **"postalCode"**: , **"streetName"**: , **"addressLine1"**: , **"addressLine2"**: , **"buildingNumber"**: , **"minorSubdivisionCode"**:  }, **"expirationDate"**: undefined (YYYY-MM) } or { **"type"**: <br>**Available values:** "BANK", "CARD", **"externalId"**: , **"preferredFor"**:  } & { **"BIC"**: , **"type"**: , **"address"**: { **"city"**: , **"state"**: undefined (We recommend to use the ISO 3166-2), **"country"**: undefined (We recommend to use the Alpha-3), **"postalCode"**: , **"streetName"**: , **"addressLine1"**: , **"addressLine2"**: , **"buildingNumber"**: , **"minorSubdivisionCode"**:  }, **"bankCode"**: , **"bankName"**: , **"branchCode"**: , **"accountName"**: , **"accountType"**: <br>**Available values:** "CHECKING", "SAVING", **"countryCode"**: undefined (We recommend to use the Alpha-3), **"bankCodeType"**: <br>**Available values:** "ABA", "SORT_CODE", "DEFAULT", **"currencyCode"**: , **"accountNumber"**: , **"accountNumberType"**: <br>**Available values:** "IBAN", "DEFAULT", "TOKEN", "CCI" } |  |  |

#### CardAliasResponseResolve-5 Schema

| Name | Type | Description | Required |
| ---- | ---- | ----------- | -------- |
| type |  | In this case, value must be: `CARD` <br>*Example:* `"CARD"` | Yes |
| cardType |  | Card type description. Reference to Field 62.23—Product ID of available card products. e.g. Visa Platinum. <br>*Example:* `"Visa Platinum"` | No |
| issuerName |  | Name of the issuer of the card <br>*Example:* `"Bank A"` | No |
| nameOnCard |  | Name that appears on the Card<br>*Example:* `"John Doe"` | No |
| preferredFor |  | Indicates if a payment credential is a preferred **Receiving**,  **Sending**, or **Paying** account. **Receiving** allows for funds to be pushed into the payment credential. **Sending** allows for funds to be sent from the payment credential. **Paying** allows for the payment credential to be used for purchases. More than one preferred type can be used.  | No |
| accountNumber |  | Primary account number of the card<br>*Example:* `"4111111145551142"` | Yes |
| billingAddress | { **"city"**: , **"state"**: , **"country"**: undefined (We recommend to use the Alpha-3), **"postalCode"**: , **"streetName"**: , **"addressLine1"**: , **"addressLine2"**: , **"buildingNumber"**: , **"minorSubdivisionCode"**:  } |  | No |
| expirationDate |  | Expiration date for the card. This is required when it is expected that Visa tokenizes the credential.<br>*Example:* `"2022-01"` | No |
| lastFourDigits |  | Last four digits of the PAN of the card <br>*Example:* `"1142"` | No |
| accountNumberType | <br>**Available values:** "NIUBIZ", "TOKEN", "PAN" | Card account number type. Valid values: 'NIUBIZ', 'PAN' and 'TOKEN'. When the field is not included, the default value is 'PAN' <br>*Enum:* `"NIUBIZ"`, `"TOKEN"`, `"PAN"`<br>*Example:* `"TOKEN"` | Yes |

#### CardAliasResponseResolve-4 Schema

| Name | Type | Description | Required |
| ---- | ---- | ----------- | -------- |
| type |  | In this case, value must be: `CARD` <br>*Example:* `"CARD"` | Yes |
| cardType |  | Card type description. Reference to Field 62.23—Product ID of available card products. e.g. Visa Platinum. <br>*Example:* `"Visa Platinum"` | No |
| issuerName |  | Name of the issuer of the card <br>*Example:* `"Bank A"` | No |
| nameOnCard |  | Name that appears on the Card<br>*Example:* `"John Doe"` | No |
| preferredFor |  | Indicates if a payment credential is a preferred **Receiving**,  **Sending**, or **Paying** account. **Receiving** allows for funds to be pushed into the payment credential. **Sending** allows for funds to be sent from the payment credential. **Paying** allows for the payment credential to be used for purchases. More than one preferred type can be used.  | No |
| accountNumber |  | Primary account number of the card<br>*Example:* `"4111111145551142"` | Yes |
| billingAddress | { **"city"**: , **"state"**: , **"country"**: undefined (We recommend to use the Alpha-3), **"postalCode"**: , **"streetName"**: , **"addressLine1"**: , **"addressLine2"**: , **"buildingNumber"**: , **"minorSubdivisionCode"**:  } |  | No |
| expirationDate |  | Expiration date for the card. This is required when it is expected that Visa tokenizes the credential.<br>*Example:* `"2022-01"` | No |
| lastFourDigits |  | Last four digits of the PAN of the card <br>*Example:* `"1142"` | No |
| accountNumberType | <br>**Available values:** "NIUBIZ", "TOKEN", "PAN" | Card account number type. Valid values: 'NIUBIZ', 'PAN' and 'TOKEN'. When the field is not included, the default value is 'PAN' <br>*Enum:* `"NIUBIZ"`, `"TOKEN"`, `"PAN"`<br>*Example:* `"TOKEN"` | Yes |

#### AliasNonDeletedStatuses-1 Schema

| Name | Type | Description | Required |
| ---- | ---- | ----------- | -------- |
| AliasNonDeletedStatuses-1 | <br>**Available values:** "ACTIVE", "DISABLED", "BLOCKED", "EXPIRED" |  |  |

#### CardAliasResponseResolve-3 Schema

| Name | Type | Description | Required |
| ---- | ---- | ----------- | -------- |
| type |  | In this case, value must be: `CARD` <br>*Example:* `"CARD"` | Yes |
| cardType |  | Card type description. Reference to Field 62.23—Product ID of available card products. e.g. Visa Platinum. <br>*Example:* `"Visa Platinum"` | No |
| issuerName |  | Name of the issuer of the card <br>*Example:* `"Bank A"` | No |
| nameOnCard |  | Name that appears on the Card<br>*Example:* `"John Doe"` | No |
| preferredFor |  | Indicates if a payment credential is a preferred **Receiving**,  **Sending**, or **Paying** account. **Receiving** allows for funds to be pushed into the payment credential. **Sending** allows for funds to be sent from the payment credential. **Paying** allows for the payment credential to be used for purchases. More than one preferred type can be used.  | No |
| accountNumber |  | Primary account number of the card<br>*Example:* `"4111111145551142"` | Yes |
| billingAddress | { **"city"**: , **"state"**: , **"country"**: undefined (We recommend to use the Alpha-3), **"postalCode"**: , **"streetName"**: , **"addressLine1"**: , **"addressLine2"**: , **"buildingNumber"**: , **"minorSubdivisionCode"**:  } |  | No |
| expirationDate |  | Expiration date for the card. This is required when it is expected that Visa tokenizes the credential.<br>*Example:* `"2022-01"` | No |
| lastFourDigits |  | Last four digits of the PAN of the card <br>*Example:* `"1142"` | No |
| accountNumberType | <br>**Available values:** "NIUBIZ", "TOKEN", "PAN" | Card account number type. Valid values: 'NIUBIZ', 'PAN' and 'TOKEN'. When the field is not included, the default value is 'PAN' <br>*Enum:* `"NIUBIZ"`, `"TOKEN"`, `"PAN"`<br>*Example:* `"TOKEN"` | Yes |

#### ErrorResponse Schema

| Name | Type | Description | Required |
| ---- | ---- | ----------- | -------- |
| errorCode | string | Code to identify the type of error. Fixed 404 in this case<br>*Example:* `"404"` | Yes |
| errorMessages | [ string ] | Description of the error reason | Yes |

#### CardAliasResponseResolve-2 Schema

| Name | Type | Description | Required |
| ---- | ---- | ----------- | -------- |
| type |  | In this case, value must be: `CARD` <br>*Example:* `"CARD"` | Yes |
| cardType |  | Card type description. Reference to Field 62.23—Product ID of available card products. e.g. Visa Platinum. <br>*Example:* `"Visa Platinum"` | No |
| issuerName |  | Name of the issuer of the card <br>*Example:* `"Bank A"` | No |
| nameOnCard |  | Name that appears on the Card<br>*Example:* `"John Doe"` | No |
| preferredFor |  | Indicates if a payment credential is a preferred **Receiving**,  **Sending**, or **Paying** account. **Receiving** allows for funds to be pushed into the payment credential. **Sending** allows for funds to be sent from the payment credential. **Paying** allows for the payment credential to be used for purchases. More than one preferred type can be used.  | No |
| accountNumber |  | Primary account number of the card<br>*Example:* `"4111111145551142"` | Yes |
| billingAddress | { **"city"**: , **"state"**: , **"country"**: undefined (We recommend to use the Alpha-3), **"postalCode"**: , **"streetName"**: , **"addressLine1"**: , **"addressLine2"**: , **"buildingNumber"**: , **"minorSubdivisionCode"**:  } |  | No |
| expirationDate |  | Expiration date for the card. This is required when it is expected that Visa tokenizes the credential.<br>*Example:* `"2022-01"` | No |
| lastFourDigits |  | Last four digits of the PAN of the card <br>*Example:* `"1142"` | No |
| accountNumberType | <br>**Available values:** "NIUBIZ", "TOKEN", "PAN" | Card account number type. Valid values: 'NIUBIZ', 'PAN' and 'TOKEN'. When the field is not included, the default value is 'PAN' <br>*Enum:* `"NIUBIZ"`, `"TOKEN"`, `"PAN"`<br>*Example:* `"TOKEN"` | Yes |

#### CardAliasResponseResolve-1 Schema

| Name | Type | Description | Required |
| ---- | ---- | ----------- | -------- |
| type |  | In this case, value must be: `CARD` <br>*Example:* `"CARD"` | Yes |
| cardType |  | Card type description. Reference to Field 62.23—Product ID of available card products. e.g. Visa Platinum. <br>*Example:* `"Visa Platinum"` | No |
| issuerName |  | Name of the issuer of the card <br>*Example:* `"Bank A"` | No |
| nameOnCard |  | Name that appears on the Card<br>*Example:* `"John Doe"` | No |
| preferredFor |  | Indicates if a payment credential is a preferred **Receiving**,  **Sending**, or **Paying** account. **Receiving** allows for funds to be pushed into the payment credential. **Sending** allows for funds to be sent from the payment credential. **Paying** allows for the payment credential to be used for purchases. More than one preferred type can be used.  | No |
| accountNumber |  | Primary account number of the card<br>*Example:* `"4111111145551142"` | Yes |
| billingAddress | { **"city"**: , **"state"**: , **"country"**: undefined (We recommend to use the Alpha-3), **"postalCode"**: , **"streetName"**: , **"addressLine1"**: , **"addressLine2"**: , **"buildingNumber"**: , **"minorSubdivisionCode"**:  } |  | No |
| expirationDate |  | Expiration date for the card. This is required when it is expected that Visa tokenizes the credential.<br>*Example:* `"2022-01"` | No |
| lastFourDigits |  | Last four digits of the PAN of the card <br>*Example:* `"1142"` | No |
| accountNumberType | <br>**Available values:** "NIUBIZ", "TOKEN", "PAN" | Card account number type. Valid values: 'NIUBIZ', 'PAN' and 'TOKEN'. When the field is not included, the default value is 'PAN' <br>*Enum:* `"NIUBIZ"`, `"TOKEN"`, `"PAN"`<br>*Example:* `"TOKEN"` | Yes |

#### AliasMetadataStatusDetail Schema

| Name | Type | Description | Required |
| ---- | ---- | ----------- | -------- |
| code | string | Reason code for response.<br>*Example:* `"1000"` | No |
| message | string | Reason message for response. <br>*Example:* `"Alias record created"` | No |

#### UpdateAliasRequest-1 Schema

| Name | Type | Description | Required |
| ---- | ---- | ----------- | -------- |
| UpdateAliasRequest-1 | { **"consent"**: { **"version"**: , **"presenter"**: , **"expiryDateTime"**: undefined (date-time), **"intermediaries"**: , **"validFromDateTime"**: undefined (date-time) } } & { **"profile"**: { **"lastName"**: , **"firstName"**: , **"middleName"**: , **"contactInfo"**: , **"dateOfBirth"**: , **"lastNameLocal"**: , **"preferredName"**: , **"firstNameLocal"**: , **"middleNameLocal"**:  }, **"identification"**: { **"type"**: , **"value"**: , **"verificationDetails"**: { **"authDateTime"**: undefined (date-time), **"verifiedEmail"**: , **"verifiedPhone"**: , **"creationDateTime"**: undefined (date-time), **"authMethodReference"**:  } } } |  |  |

#### PaymentCredentialItemAliasConfirmResponse-1 Schema

| Name | Type | Description | Required |
| ---- | ---- | ----------- | -------- |
| PaymentCredentialItemAliasConfirmResponse-1 | { **"type"**: , **"issuerName"**: , **"modifiedOn"**: undefined (date-time), **"nameOnCard"**: , **"currencyCode"**: , **"preferredFor"**: , **"billingAddress"**: { **"country"**:  }, **"accountNumberType"**: <br>**Available values:** "NIUBIZ", "TOKEN", "PAN" } or { **"type"**: , **"address"**: { **"country"**:  }, **"bankName"**: , **"modifiedOn"**: undefined (date-time), **"accountName"**: , **"countryCode"**: , **"currencyCode"**: , **"preferredFor"**: , **"accountNumberType"**: <br>**Available values:** "IBAN", "DEFAULT" } |  |  |

#### AliasInquirySummary Schema

Summary of found Aliases

| Name | Type | Description | Required |
| ---- | ---- | ----------- | -------- |
| aliasesFound | integer | Number of aliases found | Yes |
| aliasesTotal | integer | Number of aliases in request | Yes |
| aliasesNotFound | integer | Number of aliases not found | Yes |
| aliasesRepeated | integer | Number of aliases repeated | Yes |

#### AliasInquiryEntityDetail-1 Schema

| Name | Type | Description | Required |
| ---- | ---- | ----------- | -------- |
| entities |  | A list of entities  | No |
| directoryName |  | The name of the directory<br>*Example:* `"Directory A"` | No |

#### AliasInquiryItem Schema

| Name | Type | Description | Required |
| ---- | ---- | ----------- | -------- |
| aliasType | string, <br>**Available values:** "PHONE", "EMAIL", "DIRECTORY_ALIASID", "PAYNAME" | The type of Alias in aliasValue<br>*Enum:* `"PHONE"`, `"EMAIL"`, `"DIRECTORY_ALIASID"`, `"PAYNAME"`<br>*Example:* `"PHONE"` | Yes |
| aliasValue | string | This attribute contains the alias data, e.g. phone number, email address, etc.   <br>If phone number is used for alias, this should be provided in accordance with ITU-T E.164 (2010) number structure.  Please note that in the E.164 format, the "+" sign is not included.  Below are some examples of phone numbers with different country codes:  <table>         <tr>           <th>Country</th>           <th>Country Code</th>           <th>Examples</th>         </tr>         <tr>           <td>United States</td>           <td>1</td>           <td>1650xxxxxxx</td>         </tr>         <tr>           <td>Ukraine</td>           <td>380</td>           <td>38067xxxxxxx</td>         </tr>         <tr>           <td>Belarus</td>           <td>375</td>           <td>37529xxxxxxx</td>         </tr>         <tr>           <td>Kazakhstan</td>           <td>7</td>           <td>7701xxxxxxx</td>         </tr>         <tr>           <td>United Kingdom</td>           <td>44</td>           <td>4478xxxxxxxx</td>         </tr>         <tr>           <td>Singapore</td>           <td>65</td>           <td>659xxxxxxx</td>         </tr>         <tr>           <td>Hong Kong</td>           <td>852</td>           <td>8529xxxxxxx</td>         </tr>         <tr>           <td>Kenya</td>           <td>254</td>           <td>254701xxxxxx</td>         </tr>     </table> <br>*Example:* `"1231231234"` | Yes |
| directories | [ { **"entities"**: [ { **"id"**: string, **"preferredFor"**: [ { **"date"**: dateTime, **"type"**: string, <br>**Available values:** "RECEIVE", "SEND", "PAY" } ] } ], **"directoryName"**: string } ] | List of directories and entities where the Alias is found  | No |
| directoriesName | [ string ] | The name of the directory <br>*Example:* `["Directory A","Directory B"]` | No |

#### AliasInquiryItem-1 Schema

| Name | Type | Description | Required |
| ---- | ---- | ----------- | -------- |
| aliasType | <br>**Available values:** "PHONE", "EMAIL", "DIRECTORY_ALIASID", "PAYNAME", "NATIVE_ALIAS", "NATIONAL_ID" | The type of Alias in aliasValue<br>*Enum:* `"PHONE"`, `"EMAIL"`, `"DIRECTORY_ALIASID"`, `"PAYNAME"`, `"NATIVE_ALIAS"`, `"NATIONAL_ID"`<br>*Example:* `"PHONE"` | Yes |
| aliasValue |  | This attribute contains the alias data, e.g. phone number, email address, etc.   <br>If phone number is used for alias, this should be provided in accordance with ITU-T E.164 (2010) number structure.  Please note that in the E.164 format, the "+" sign is not included.  Below are some examples of phone numbers with different country codes:  <table>         <tr>           <th>Country</th>           <th>Country Code</th>           <th>Examples</th>         </tr>         <tr>           <td>United States</td>           <td>1</td>           <td>1650xxxxxxx</td>         </tr>         <tr>           <td>Ukraine</td>           <td>380</td>           <td>38067xxxxxxx</td>         </tr>         <tr>           <td>Belarus</td>           <td>375</td>           <td>37529xxxxxxx</td>         </tr>         <tr>           <td>Kazakhstan</td>           <td>7</td>           <td>7701xxxxxxx</td>         </tr>         <tr>           <td>United Kingdom</td>           <td>44</td>           <td>4478xxxxxxxx</td>         </tr>         <tr>           <td>Singapore</td>           <td>65</td>           <td>659xxxxxxx</td>         </tr>         <tr>           <td>Hong Kong</td>           <td>852</td>           <td>8529xxxxxxx</td>         </tr>         <tr>           <td>Kenya</td>           <td>254</td>           <td>254701xxxxxx</td>         </tr>     </table> <br>*Example:* `"1231231234"` | Yes |
| directories |  | List of directories and entities where the Alias is found  | No |
| directoriesName |  | The name of the directory <br>*Example:* `["Directory A","Directory B"]` | No |

#### AliasMetadataStatusDetail-1 Schema

| Name | Type | Description | Required |
| ---- | ---- | ----------- | -------- |
| code |  | Reason code for response.<br>*Example:* `"1000"` | No |
| message |  | Reason message for response. <br>*Example:* `"Alias record created"` | No |

#### AliasId-1 Schema

The UUID generated by Alias Directory which identifies the create report request.

| Name | Type | Description | Required |
| ---- | ---- | ----------- | -------- |
| AliasId-1 |  | The UUID generated by Alias Directory which identifies the create report request. |  |

**Example**
<pre>e336c8c8-2945-4be3-af3e-951ec2d01219</pre>

#### Error400GetPcsResponse Schema

| Name | Type | Description | Required |
| ---- | ---- | ----------- | -------- |
| errorCode | string | Code to identify the type of error. Fixed 400 in this case<br>*Example:* `"400"` | Yes |
| errorMessages | [ string ] | Description of the error reason | Yes |

#### Error400GetAliasResponse Schema

| Name | Type | Description | Required |
| ---- | ---- | ----------- | -------- |
| errorCode | string | Code to identify the type of error. Fixed 400 in this case<br>*Example:* `"400"` | Yes |
| errorMessages | [ string ] | Description of the error reason | Yes |

#### Error422UpdateStatusResponse-1 Schema

| Name | Type | Description | Required |
| ---- | ---- | ----------- | -------- |
| errorCode |  | Code to identify the type of error.<br>*Example:* `"LDS-30013"` | Yes |
| errorMessages |  | Description of the error reason | Yes |

#### AccountNumberType-1 Schema

Card account number type. Valid values: 'NIUBIZ', 'PAN' and 'TOKEN'.

| Name | Type | Description | Required |
| ---- | ---- | ----------- | -------- |
| AccountNumberType-1 | <br>**Available values:** "NIUBIZ", "PAN", "TOKEN" | Card account number type. Valid values: 'NIUBIZ', 'PAN' and 'TOKEN'.  |  |

**Example**
<pre>TOKEN</pre>

#### AdditionalAliasId-1 Schema

This is the UUID generated by Alias Directory which identifies the Additional Alias

| Name | Type | Description | Required |
| ---- | ---- | ----------- | -------- |
| AdditionalAliasId-1 |  | This is the UUID generated by Alias Directory which identifies the Additional Alias |  |

**Example**
<pre>e336c8c8-2945-4be3-af3e-951ec2d01219</pre>

#### Error400InquiryResponse-1 Schema

| Name | Type | Description | Required |
| ---- | ---- | ----------- | -------- |
| errorCode |  | Code to identify the type of error. Fixed 400 in this case<br>*Example:* `"400"` | Yes |
| errorMessages |  | Description of the error reason | Yes |

#### BankName-1 Schema

| Name | Type | Description | Required |
| ---- | ---- | ----------- | -------- |
| BankName-1 |  |  |  |

**Example**
<pre>Bank A</pre>

#### CardConfirmPath Schema

| Name | Type | Description | Required |
| ---- | ---- | ----------- | -------- |
| type |  | In this case, value must be: `CARD` <br>*Example:* `"CARD"` | Yes |
| issuerName |  | Name of the issuer of the card <br>*Example:* `"Bank A"` | No |

#### ReportId-1 Schema

This is the UUID generated by Alias Directory which identifies the Report

| Name | Type | Description | Required |
| ---- | ---- | ----------- | -------- |
| ReportId-1 |  | This is the UUID generated by Alias Directory which identifies the Report |  |

**Example**
<pre>e336c8c8-2945-4be3-af3e-951ec2d01219</pre>

#### GenerateReportRequest-1 Schema

| Name | Type | Description | Required |
| ---- | ---- | ----------- | -------- |
| format | <br>**Available values:** "JSON" | Format of created report. <br>*Enum:* `"JSON"` | No |
| filters | { **"endDate"**: undefined (date-time), **"aliasType"**: <br>**Available values:** "PHONE", "EMAIL", **"startDate"**: undefined (date-time), **"aliasStatuses"**: , **"billingEventTypes"**:  } | Define the data included in the report.  | No |
| reportType | <br>**Available values:** "PLATFORM_REQUESTS", "DIRECTORY_STATUS", "RESOLUTION_RECONCILIATION", "DIRECTORY_ACTIVITY", "PAYMENT_CREDENTIAL_DETAILS" | Report type to create. <br>*Enum:* `"PLATFORM_REQUESTS"`, `"DIRECTORY_STATUS"`, `"RESOLUTION_RECONCILIATION"`, `"DIRECTORY_ACTIVITY"`, `"PAYMENT_CREDENTIAL_DETAILS"` | No |

#### PaymentCredentialType Schema

Payment credential type

| Name | Type | Description | Required |
| ---- | ---- | ----------- | -------- |
| PaymentCredentialType | string, <br>**Available values:** "BANK", "CARD" | Payment credential type |  |

**Example**
<pre>CARD</pre>

#### Error422Response Schema

| Name | Type | Description | Required |
| ---- | ---- | ----------- | -------- |
| errorCode | string | Code to identify the type of error. Fixed 422 in this case<br>*Example:* `"422"` | Yes |
| errorMessages | [ string ] | Description of the error reason | Yes |

#### Error404IdResponse Schema

| Name | Type | Description | Required |
| ---- | ---- | ----------- | -------- |
| errorCode | string | Code to identify the type of error.<br>*Example:* `"LDS-30010"` | Yes |
| errorMessages | [ string ] | Description of the error reason | Yes |

#### Error422CreateAliasResponse Schema

| Name | Type | Description | Required |
| ---- | ---- | ----------- | -------- |
| errorCode | string | Code to identify the type of error.<br>*Example:* `"LDS-30000"` | Yes |
| errorMessages | [ string ] | Description of the error reason | Yes |

#### AliasProfileResponse-1 Schema

Profile details for the customer that owns the Alias.

| Name | Type | Description | Required |
| ---- | ---- | ----------- | -------- |
| address | { **"city"**: , **"state"**: undefined (We recommend to use the ISO 3166-2), **"country"**: undefined (We recommend to use the Alpha-3), **"postalCode"**: , **"streetName"**: , **"addressLine1"**: , **"addressLine2"**: , **"buildingNumber"**: , **"minorSubdivisionCode"**:  } |  | No |
| lastName |  | Last name in English.  ISO20022 element name: Creditor -> Name  Example: "Miller" <br>*Example:* `"Miller"` | Yes |
| firstName |  | First name in English  ISO20022 element name: Creditor -> Name <br>*Example:* `"Alex"` | Yes |
| middleName |  | Middle name in English<br>*Example:* `"Robert"` | No |
| contactInfo |  |  | No |
| dateOfBirth |  | Date of birth.  ISO20022 element name: Creditor -> Private Identification -> Date of Birth  | No |
| lastNameLocal |  | Last name in English.  ISO20022 element name: Creditor -> Name  Example: "Miller" <br>*Example:* `"Miller"` | No |
| preferredName |  | Preferred name (or the 'known-as' name)<br>*Example:* `"Miller's Shop"` | No |
| firstNameLocal |  | First name in local language<br>*Example:* `"Alexander"` | No |
| middleNameLocal |  | Middle name in local language<br>*Example:* `"Roberto"` | No |

#### FiltersResolve Schema

List of the filter to apply in the request

| Name | Type | Description | Required |
| ---- | ---- | ----------- | -------- |
| FiltersResolve |  | List of the filter to apply in the request |  |

#### Error400GetAliasResponse-1 Schema

| Name | Type | Description | Required |
| ---- | ---- | ----------- | -------- |
| errorCode |  | Code to identify the type of error. Fixed 400 in this case<br>*Example:* `"400"` | Yes |
| errorMessages |  | Description of the error reason | Yes |

#### Error404ReportFileResponse-1 Schema

| Name | Type | Description | Required |
| ---- | ---- | ----------- | -------- |
| errorCode |  | Code to identify the type of error.<br>*Example:* `"RES-30007"` | Yes |
| errorMessages |  | Description of the error reason | Yes |

#### AliasStatuses-1 Schema

| Name | Type | Description | Required |
| ---- | ---- | ----------- | -------- |
| AliasStatuses-1 | <br>**Available values:** "ACTIVE", "DISABLED", "BLOCKED", "EXPIRED", "DELETED" |  |  |

#### BatchId Schema

This is the UUID generated by Alias Directory which identifies the Batch process

| Name | Type | Description | Required |
| ---- | ---- | ----------- | -------- |
| BatchId | string | This is the UUID generated by Alias Directory which identifies the Batch process |  |

**Example**
<pre>e336c8c8-2945-4be3-af3e-951ec2d01219</pre>

#### PaymentCredentialItemRequest-1 Schema

| Name | Type | Description | Required |
| ---- | ---- | ----------- | -------- |
| PaymentCredentialItemRequest-1 | { **"type"**: <br>**Available values:** "BANK", "CARD", **"externalId"**: , **"preferredFor"**:  } & { **"type"**: , **"cardType"**: , **"issuerName"**: , **"nameOnCard"**: , **"currencyCode"**: , **"accountNumber"**: , **"billingAddress"**: { **"city"**: , **"state"**: undefined (We recommend to use the ISO 3166-2), **"country"**: undefined (We recommend to use the Alpha-3), **"postalCode"**: , **"streetName"**: , **"addressLine1"**: , **"addressLine2"**: , **"buildingNumber"**: , **"minorSubdivisionCode"**:  }, **"expirationDate"**: undefined (YYYY-MM) } or { **"type"**: <br>**Available values:** "BANK", "CARD", **"externalId"**: , **"preferredFor"**:  } & { **"BIC"**: , **"type"**: , **"address"**: { **"city"**: , **"state"**: undefined (We recommend to use the ISO 3166-2), **"country"**: undefined (We recommend to use the Alpha-3), **"postalCode"**: , **"streetName"**: , **"addressLine1"**: , **"addressLine2"**: , **"buildingNumber"**: , **"minorSubdivisionCode"**:  }, **"bankCode"**: , **"bankName"**: , **"branchCode"**: , **"accountName"**: , **"accountType"**: <br>**Available values:** "CHECKING", "SAVING", **"countryCode"**: undefined (We recommend to use the Alpha-3), **"bankCodeType"**: <br>**Available values:** "ABA", "SORT_CODE", "DEFAULT", **"currencyCode"**: , **"accountNumber"**: , **"accountNumberType"**: <br>**Available values:** "IBAN", "DEFAULT", "TOKEN", "CCI" } |  |  |

#### PaymentCredentialItemAliasResponseResolve-4 Schema

| Name | Type | Description | Required |
| ---- | ---- | ----------- | -------- |
| PaymentCredentialItemAliasResponseResolve-4 | { **"modifiedOn"**: undefined (date-time) } or { **"modifiedOn"**: undefined (date-time) } |  |  |

#### PaymentCredentialItemAliasResponseResolve-5 Schema

| Name | Type | Description | Required |
| ---- | ---- | ----------- | -------- |
| PaymentCredentialItemAliasResponseResolve-5 | { **"modifiedOn"**: undefined (date-time) } or { **"modifiedOn"**: undefined (date-time) } |  |  |

#### AliasValueRequest Schema

| Name | Type | Description | Required |
| ---- | ---- | ----------- | -------- |
| aliasValue | string | A customer unique identifier that represents him in the payment ecosystem where the user move funds. The format will change depending the type.<br>*Example:* `"1231231234"` | Yes |

#### Error500Response-1 Schema

| Name | Type | Description | Required |
| ---- | ---- | ----------- | -------- |
| errorCode |  | Code to identify the type of error. Fixed 500 in this case<br>*Example:* `"500"` | Yes |
| errorMessages |  | Description of the error reason | Yes |

#### PaymentCredentialItemAliasResponseResolve-2 Schema

| Name | Type | Description | Required |
| ---- | ---- | ----------- | -------- |
| PaymentCredentialItemAliasResponseResolve-2 | { **"modifiedOn"**: undefined (date-time) } or { **"modifiedOn"**: undefined (date-time) } |  |  |

#### PaymentCredentialsList-1 Schema

| Name | Type | Description | Required |
| ---- | ---- | ----------- | -------- |
| PaymentCredentialsList-1 |  |  |  |

#### PaymentCredentialItemAliasResponseResolve-3 Schema

| Name | Type | Description | Required |
| ---- | ---- | ----------- | -------- |
| PaymentCredentialItemAliasResponseResolve-3 | { **"modifiedOn"**: undefined (date-time) } or { **"modifiedOn"**: undefined (date-time) } |  |  |

#### PaymentCredentialItemAliasConfirmResponsePath Schema

| Name | Type | Description | Required |
| ---- | ---- | ----------- | -------- |
| PaymentCredentialItemAliasConfirmResponsePath | { **"type"**: , **"issuerName"**:  } or { **"type"**: , **"bankName"**:  } |  |  |

#### GetFileResponse-1 Schema

| Name | Type | Description | Required |
| ---- | ---- | ----------- | -------- |
| GetFileResponse-1 |  |  |  |

#### UserDetails-1 Schema

| Name | Type | Description | Required |
| ---- | ---- | ----------- | -------- |
| userName |  | An identifier that represents the end user who is requesting the information. This field must not contain any PII information.<br>*Example:* `"username1234"` | Yes |

#### Error422Response-1 Schema

| Name | Type | Description | Required |
| ---- | ---- | ----------- | -------- |
| errorCode |  | Code to identify the type of error. Fixed 422 in this case<br>*Example:* `"422"` | Yes |
| errorMessages |  | Description of the error reason | Yes |

#### GetByExternalIdRequest Schema

| Name | Type | Description | Required |
| ---- | ---- | ----------- | -------- |
| type | string, <br>**Available values:** "ALIAS", "PAYMENT_CREDENTIAL" | The entity type associated to the external Id<br>*Enum:* `"ALIAS"`, `"PAYMENT_CREDENTIAL"` | Yes |
| externalId | string | External Id (maintained by client) associated to the entity `type` | Yes |

#### AliasInquiryResponseInternal Schema

Alias Inquiry Response Payload

| Name | Type | Description | Required |
| ---- | ---- | ----------- | -------- |
| details | [ { **"aliasType"**: string, <br>**Available values:** "PHONE", "EMAIL", "DIRECTORY_ALIASID", "PAYNAME", **"aliasValue"**: string, **"directories"**: [ { **"entities"**: [ { **"id"**: string, **"preferredFor"**: [ { **"date"**: dateTime, **"type"**: string, <br>**Available values:** "RECEIVE", "SEND", "PAY" } ] } ], **"directoryName"**: string } ], **"directoriesName"**: [ string ] } ] | Alias information associated with found records | No |
| summary | { **"aliasesFound"**: integer, **"aliasesTotal"**: integer, **"aliasesNotFound"**: integer, **"aliasesRepeated"**: integer } | Summary of found Aliases | Yes |

**Example**
<pre>{
  "details": [
    {
      "aliasType": "PHONE",
      "aliasValue": "123456",
      "directories": [
        {
          "entities": [
            {
              "id": "1101"
            },
            {
              "id": "1102",
              "preferredFor": [
                {
                  "date": "1980-02-01T10:00:00Z",
                  "type": "RECEIVE"
                }
              ]
            }
          ],
          "directoryName": "DIRECTORY_A"
        },
        {
          "directoryName": "DIRECTORY_B"
        }
      ],
      "directoriesName": [
        "DIRECTORY_A",
        "DIRECTORY_B"
      ]
    }
  ],
  "summary": {
    "aliasesFound": 1,
    "aliasesTotal": 1,
    "aliasesNotFound": 0,
    "aliasesRepeated": 0
  }
}</pre>

#### BankGetResponse-1 Schema

| Name | Type | Description | Required |
| ---- | ---- | ----------- | -------- |
| id |  | This is an UUID generated by Alias Directory which identifies the payment credential<br>*Example:* `"a44c9553-e687-4f3c-b7e7-a4245d9f238e"` | No |
| type |  | In this case, the value must be `BANK`<br>*Example:* `"BANK"` | No |

#### PaymentCredentialCommon Schema

| Name | Type | Description | Required |
| ---- | ---- | ----------- | -------- |
| type | string, <br>**Available values:** "BANK", "CARD" | Payment credential type<br>*Enum:* `"BANK"`, `"CARD"`<br>*Example:* `"CARD"` | Yes |
| externalId | string | externalId is a client-provided identifier for the payment credential. If clients already use an identifier for the payment credential in their internal systems, they can re-use the same value here and manage the payment credential with this identifier.<br>*Example:* `"63421837-d597-4f0f-89e4-930c1a7b9e85"` | No |
| preferredFor | [ { **"type"**: string, <br>**Available values:** "RECEIVE", "SEND", "PAY" } ] | Indicates if a payment credential is a preferred **Receiving**,  **Sending**, or **Paying** account. **Receiving** allows for funds to be pushed into the payment credential. **Sending** allows for funds to be sent from the payment credential. **Paying** allows for the payment credential to be used for purchases. More than one preferred type can be used.  | No |

#### AliasInquiryResponseAD Schema

Alias Inquiry Response Payload

| Name | Type | Description | Required |
| ---- | ---- | ----------- | -------- |
| details |  | Alias information associated with found records<br>*Example:* `[{"entities":[{"id":"123","preferredFor":[{"date":"1980-02-01T10:00:00Z","type":"RECEIVE"}]}],"aliasType":"PHONE","aliasValue":"123456789"},{"entities":[{"id":"988","preferredFor":[{"date":"1980-02-01T10:00:00Z","type":"RECEIVE"}]}],"aliasType":"EMAIL","aliasValue":"visa@visa.com"},{"entities":[{"id":"abc"}],"aliasType":"PHONE","aliasValue":"+987456321"}]` | No |

#### Error404ReportResponse-1 Schema

| Name | Type | Description | Required |
| ---- | ---- | ----------- | -------- |
| errorCode |  | Code to identify the type of error.<br>*Example:* `"RES-30004"` | Yes |
| errorMessages |  | Description of the error reason | Yes |

#### PaymentCredentialItemAliasResponseResolve-1 Schema

| Name | Type | Description | Required |
| ---- | ---- | ----------- | -------- |
| PaymentCredentialItemAliasResponseResolve-1 | { **"modifiedOn"**: undefined (date-time) } or { **"modifiedOn"**: undefined (date-time) } |  |  |

#### PaymentCredentialType-1 Schema

Payment credential type

| Name | Type | Description | Required |
| ---- | ---- | ----------- | -------- |
| PaymentCredentialType-1 | <br>**Available values:** "BANK", "CARD" | Payment credential type |  |

**Example**
<pre>CARD</pre>

#### AliasResolveBasicResponseAD-5 Schema

| Name | Type | Description | Required |
| ---- | ---- | ----------- | -------- |
| profile | { **"lastName"**: , **"firstName"**: , **"middleName"**: , **"contactInfo"**: , **"dateOfBirth"**: , **"lastNameLocal"**: , **"preferredName"**: , **"firstNameLocal"**: , **"middleNameLocal"**:  } | Profile details for the customer that owns the Alias | Yes |
| identification | { **"type"**: , **"value"**: , **"verificationDetails"**: { **"authDateTime"**: undefined (date-time), **"verifiedEmail"**: , **"verifiedPhone"**: , **"creationDateTime"**: undefined (date-time), **"authMethodReference"**:  } } | Form of identification. This object is optional and only used for specific use cases. | No |
| paymentCredentials |  | List of payment credentials associated with an Alias | Yes |

#### AlphaCountryCodeAD Schema

this field contains ISO3166 country code (Alpha-3).

| Name | Type | Description | Required |
| ---- | ---- | ----------- | -------- |
| AlphaCountryCodeAD |  | this field contains ISO3166 country code (Alpha-3). |  |

**Example**
<pre>USA</pre>

#### CardAliasConfirmResponse-1 Schema

| Name | Type | Description | Required |
| ---- | ---- | ----------- | -------- |
| CardAliasConfirmResponse-1 | { **"type"**: , **"issuerName"**: , **"modifiedOn"**: undefined (date-time), **"nameOnCard"**: , **"currencyCode"**: , **"preferredFor"**: , **"billingAddress"**: { **"country"**:  }, **"accountNumberType"**: <br>**Available values:** "NIUBIZ", "TOKEN", "PAN" } |  |  |

#### FileId Schema

This is the UUID generated by the Report which identifies the File who is part of the report

| Name | Type | Description | Required |
| ---- | ---- | ----------- | -------- |
| FileId | string | This is the UUID generated by the Report which identifies the File who is part of the report |  |

**Example**
<pre>e336c8c8-2945-4be3-af3e-951ec2d01219</pre>

#### AliasResolveBasicResponseAD-3 Schema

| Name | Type | Description | Required |
| ---- | ---- | ----------- | -------- |
| profile | { **"lastName"**: , **"firstName"**: , **"middleName"**: , **"contactInfo"**: , **"dateOfBirth"**: , **"lastNameLocal"**: , **"preferredName"**: , **"firstNameLocal"**: , **"middleNameLocal"**:  } | Profile details for the customer that owns the Alias | Yes |
| identification | { **"type"**: , **"value"**: , **"verificationDetails"**: { **"authDateTime"**: undefined (date-time), **"verifiedEmail"**: , **"verifiedPhone"**: , **"creationDateTime"**: undefined (date-time), **"authMethodReference"**:  } } | Form of identification. This object is optional and only used for specific use cases. | No |
| paymentCredentials |  | List of payment credentials associated with an Alias | Yes |

#### AliasResolveBasicResponseAD-4 Schema

| Name | Type | Description | Required |
| ---- | ---- | ----------- | -------- |
| profile | { **"lastName"**: , **"firstName"**: , **"middleName"**: , **"contactInfo"**: , **"dateOfBirth"**: , **"lastNameLocal"**: , **"preferredName"**: , **"firstNameLocal"**: , **"middleNameLocal"**:  } | Profile details for the customer that owns the Alias | Yes |
| identification | { **"type"**: , **"value"**: , **"verificationDetails"**: { **"authDateTime"**: undefined (date-time), **"verifiedEmail"**: , **"verifiedPhone"**: , **"creationDateTime"**: undefined (date-time), **"authMethodReference"**:  } } | Form of identification. This object is optional and only used for specific use cases. | No |
| paymentCredentials |  | List of payment credentials associated with an Alias | Yes |

#### AliasInquiryEntityDetail Schema

| Name | Type | Description | Required |
| ---- | ---- | ----------- | -------- |
| entities | [ { **"id"**: string, **"preferredFor"**: [ { **"date"**: dateTime, **"type"**: string, <br>**Available values:** "RECEIVE", "SEND", "PAY" } ] } ] | A list of entities  | No |
| directoryName | string | The name of the directory<br>*Example:* `"Directory A"` | No |

#### AliasResolveBasicResponseAD-1 Schema

| Name | Type | Description | Required |
| ---- | ---- | ----------- | -------- |
| profile | { **"lastName"**: , **"firstName"**: , **"middleName"**: , **"contactInfo"**: , **"dateOfBirth"**: , **"lastNameLocal"**: , **"preferredName"**: , **"firstNameLocal"**: , **"middleNameLocal"**:  } | Profile details for the customer that owns the Alias | Yes |
| identification | { **"type"**: , **"value"**: , **"verificationDetails"**: { **"authDateTime"**: undefined (date-time), **"verifiedEmail"**: , **"verifiedPhone"**: , **"creationDateTime"**: undefined (date-time), **"authMethodReference"**:  } } | Form of identification. This object is optional and only used for specific use cases. | No |
| paymentCredentials |  | List of payment credentials associated with an Alias | Yes |

#### AliasResolveBasicResponseAD-2 Schema

| Name | Type | Description | Required |
| ---- | ---- | ----------- | -------- |
| profile | { **"lastName"**: , **"firstName"**: , **"middleName"**: , **"contactInfo"**: , **"dateOfBirth"**: , **"lastNameLocal"**: , **"preferredName"**: , **"firstNameLocal"**: , **"middleNameLocal"**:  } | Profile details for the customer that owns the Alias | Yes |
| identification | { **"type"**: , **"value"**: , **"verificationDetails"**: { **"authDateTime"**: undefined (date-time), **"verifiedEmail"**: , **"verifiedPhone"**: , **"creationDateTime"**: undefined (date-time), **"authMethodReference"**:  } } | Form of identification. This object is optional and only used for specific use cases. | No |
| paymentCredentials |  | List of payment credentials associated with an Alias | Yes |

#### UpdateCard Schema

| Name | Type | Description | Required |
| ---- | ---- | ----------- | -------- |
| type | string | In this case, value must be: `CARD` <br>*Example:* `"CARD"` | No |
| cardType | string | Card type description. Reference to Field 62.23—Product ID of available card products. e.g. Visa Platinum. <br>*Example:* `"Visa Platinum"` | No |
| issuerName | string | Name of the issuer of the card <br>*Example:* `"Bank A"` | No |
| nameOnCard | string | Name that appears on the Card. Clients in CEMEA and the EU must use only one first letter of customer’s last name followed by dot symbol to create or modify an Alias record. For example, Alias record for customer John Smith should be created or modified by Participant with First and Last name fields as 'John S.'<br>*Example:* `"Alex Miller"` | Yes |
| currencyCode | string | Recipient card currency code  Format: 3-character ISO-4217 (Alpha-3) currency code  (Refer to Payouts Endpoint Guide on country-specific required fields and lengths)  ISO20022 field name: Creditor Account Currency <br>*Example:* `"USD"` | No |
| billingAddress | { **"city"**: string, **"state"**: string (We recommend to use the ISO 3166-2), **"country"**: string (We recommend to use the Alpha-3), **"postalCode"**: string, **"streetName"**: string, **"addressLine1"**: string, **"addressLine2"**: string, **"buildingNumber"**: string, **"minorSubdivisionCode"**: string } |  | Yes |
| expirationDate | string (YYYY-MM) | Expiration date for the card. This is required for certain markets. <br>*Example:* `"2022-12"` | Yes |

#### AliasConfirmBasicResponse-1 Schema

| Name | Type | Description | Required |
| ---- | ---- | ----------- | -------- |
| profile | { **"lastName"**: , **"firstName"**: , **"middleName"**: , **"lastNameLocal"**: , **"firstNameLocal"**: , **"middleNameLocal"**:  } | Profile details for the customer that owns the Alias. | Yes |
| aliasType |  | The type of Alias resolved.<br>*Example:* `"PHONE"` | No |
| aliasValue |  | The value of the Alias resolved.<br>*Example:* `"1231231234"` | No |
| directoryName |  | Name of the external directory where was found the payment<br>*Example:* `"DIRECTORY_A"` | No |
| additionalInfo | { **"validationResult"**: { **"status"**: <br>**Available values:** "MATCH", "NO_MATCH", "NOT_PROVIDED" } } | Additional information returned in the confirm response. | No |
| paymentCredentials |  | List of payment credentials linked to an Alias | Yes |

#### PaymentCredentialPreferredForWithDateItem-1 Schema

| Name | Type | Description | Required |
| ---- | ---- | ----------- | -------- |
| date | undefined (date-time) | Date and time when set as preferred<br>*Example:* `"2021-01-01T22:52:46Z"` | Yes |
| type | <br>**Available values:** "RECEIVE", "SEND", "PAY" | Type of preference<br>*Enum:* `"RECEIVE"`, `"SEND"`, `"PAY"` | Yes |

#### AliasResolveBasicResponse-1 Schema

| Name | Type | Description | Required |
| ---- | ---- | ----------- | -------- |
| profile | { **"lastName"**: , **"firstName"**: , **"middleName"**: , **"contactInfo"**: , **"dateOfBirth"**: , **"lastNameLocal"**: , **"preferredName"**: , **"firstNameLocal"**: , **"middleNameLocal"**:  } | Profile details for the customer that owns the Alias.  | No |
| directoryName |  | Name of the external directory where was found the payment<br>*Example:* `"DIRECTORY_A"` | No |
| identification | { **"type"**: , **"value"**: , **"verificationDetails"**: { **"authDateTime"**: undefined (date-time), **"verifiedEmail"**: , **"verifiedPhone"**: , **"creationDateTime"**: undefined (date-time), **"authMethodReference"**:  } } | Form of identification. This object is optional and only used for specific use cases. | No |
| paymentCredentials |  | List of payment credentials linked to an Alias | Yes |

#### Error422PcStatusResponse-1 Schema

| Name | Type | Description | Required |
| ---- | ---- | ----------- | -------- |
| errorCode |  | Code to identify the type of error. Fixed 422 in this case<br>*Example:* `"422"` | Yes |
| errorMessages |  | Description of the error reason | Yes |

#### GetAliasMetadataResponse-1 Schema

| Name | Type | Description | Required |
| ---- | ---- | ----------- | -------- |
| GetAliasMetadataResponse-1 |  |  |  |

#### AccountNumberType Schema

Card account number type. Valid values: 'NIUBIZ', 'PAN' and 'TOKEN'.

| Name | Type | Description | Required |
| ---- | ---- | ----------- | -------- |
| AccountNumberType | string, <br>**Available values:** "NIUBIZ", "PAN", "TOKEN" | Card account number type. Valid values: 'NIUBIZ', 'PAN' and 'TOKEN'.  |  |

**Example**
<pre>TOKEN</pre>

#### Error422PcResponse Schema

| Name | Type | Description | Required |
| ---- | ---- | ----------- | -------- |
| errorCode | string | Code to identify the type of error.<br>*Example:* `"LDS-30012"` | Yes |
| errorMessages | [ string ] | Description of the error reason | Yes |

#### AliasInquiryRequest-1 Schema

| Name | Type | Description | Required |
| ---- | ---- | ----------- | -------- |
| aliases |  | Array of Aliases e.g., phone numbers, email addresses or payname. | Yes |
| filters |  | List of the filter to apply in the request | No |
| userDetails | { **"userName"**:  } |  | No |
| transactionDetails | { **"currencyCode"**:  } |  | No |

#### BankAliasConfirmResponse-1 Schema

| Name | Type | Description | Required |
| ---- | ---- | ----------- | -------- |
| BankAliasConfirmResponse-1 | { **"type"**: , **"address"**: { **"country"**:  }, **"bankName"**: , **"modifiedOn"**: undefined (date-time), **"accountName"**: , **"countryCode"**: , **"currencyCode"**: , **"preferredFor"**: , **"accountNumberType"**: <br>**Available values:** "IBAN", "DEFAULT" } |  |  |

#### AliasResolveBasicResponse-4 Schema

| Name | Type | Description | Required |
| ---- | ---- | ----------- | -------- |
| directoryName |  | Name of the external directory where was found the payment<br>*Example:* `"DIRECTORY_A"` | No |
| paymentCredentials |  | List of payment credentials linked to an Alias | Yes |

#### UpdateAliasRequest Schema

| Name | Type | Description | Required |
| ---- | ---- | ----------- | -------- |
| UpdateAliasRequest | { **"consent"**: { **"version"**: string, **"presenter"**: string, **"expiryDateTime"**: dateTime, **"intermediaries"**: [ string ], **"validFromDateTime"**: dateTime } } & { **"profile"**: { **"lastName"**: string, **"firstName"**: string, **"middleName"**: string, **"contactInfo"**: [ { **"type"**: string, <br>**Available values:** "EMAIL", "PHONE", "DIRECTORY_ALIASID", **"value"**: string } ], **"dateOfBirth"**: string, **"lastNameLocal"**: string, **"preferredName"**: string, **"firstNameLocal"**: string, **"middleNameLocal"**: string }, **"identification"**: { **"type"**: string, **"value"**: string, **"verificationDetails"**: { **"authDateTime"**: dateTime, **"verifiedEmail"**: boolean, **"verifiedPhone"**: boolean, **"creationDateTime"**: dateTime, **"authMethodReference"**: string } } } |  |  |

#### BaseAliasResponse-1 Schema

| Name | Type | Description | Required |
| ---- | ---- | ----------- | -------- |
| profile | { **"address"**: { **"city"**: , **"state"**: undefined (We recommend to use the ISO 3166-2), **"country"**: undefined (We recommend to use the Alpha-3), **"postalCode"**: , **"streetName"**: , **"addressLine1"**: , **"addressLine2"**: , **"buildingNumber"**: , **"minorSubdivisionCode"**:  }, **"lastName"**: , **"firstName"**: , **"middleName"**: , **"contactInfo"**: , **"dateOfBirth"**: , **"lastNameLocal"**: , **"preferredName"**: , **"firstNameLocal"**: , **"middleNameLocal"**:  } | Profile details for the customer that owns the Alias. | No |

#### AliasInquiryDetails-1 Schema

Alias information associated with found records

| Name | Type | Description | Required |
| ---- | ---- | ----------- | -------- |
| AliasInquiryDetails-1 |  | Alias information associated with found records |  |

#### CardRequest-1 Schema

| Name | Type | Description | Required |
| ---- | ---- | ----------- | -------- |
| type |  | In this case, value must be: `CARD` <br>*Example:* `"CARD"` | No |
| cardType |  | Card type description. Reference to Field 62.23—Product ID of available card products. e.g. Visa Platinum. <br>*Example:* `"Visa Platinum"` | Yes |
| issuerName |  | Name of the issuer of the card <br>*Example:* `"Bank A"` | Yes |
| nameOnCard |  | Name that appears on the Card. Clients in CEMEA and the EU must use only one first letter of customer’s last name followed by dot symbol to create or modify an Alias record. For example, Alias record for customer John Smith should be created or modified by Participant with First and Last name fields as 'John S.'<br>*Example:* `"Alex Miller"` | Yes |
| currencyCode |  | Recipient card currency code  Format: 3-character ISO-4217 (Alpha-3) currency code  (Refer to Payouts Endpoint Guide on country-specific required fields and lengths)  ISO20022 field name: Creditor Account Currency <br>*Example:* `"USD"` | No |
| accountNumber |  | Primary account number of the card <br>*Example:* `"4111111145551142"` | Yes |
| billingAddress | { **"city"**: , **"state"**: undefined (We recommend to use the ISO 3166-2), **"country"**: undefined (We recommend to use the Alpha-3), **"postalCode"**: , **"streetName"**: , **"addressLine1"**: , **"addressLine2"**: , **"buildingNumber"**: , **"minorSubdivisionCode"**:  } |  | Yes |
| expirationDate | undefined (YYYY-MM) | Expiration date for the card. This is required for certain markets. <br>*Example:* `"2030-01"` | Yes |

#### BaseAliasRequest Schema

| Name | Type | Description | Required |
| ---- | ---- | ----------- | -------- |
| profile | { **"lastName"**: string, **"firstName"**: string, **"middleName"**: string, **"contactInfo"**: [ { **"type"**: string, <br>**Available values:** "EMAIL", "PHONE", "DIRECTORY_ALIASID", **"value"**: string } ], **"dateOfBirth"**: string, **"lastNameLocal"**: string, **"preferredName"**: string, **"firstNameLocal"**: string, **"middleNameLocal"**: string } | Profile details for the customer that owns the Alias.  | Yes |
| identification | { **"type"**: string, **"value"**: string, **"verificationDetails"**: { **"authDateTime"**: dateTime, **"verifiedEmail"**: boolean, **"verifiedPhone"**: boolean, **"creationDateTime"**: dateTime, **"authMethodReference"**: string } } | Form of identification. This object is optional and only used for specific use cases. | No |

#### UpdateAliasStatusRequest-1 Schema

| Name | Type | Description | Required |
| ---- | ---- | ----------- | -------- |
| status | <br>**Available values:** "ACTIVE", "DISABLED" | Set the new status for the Alias.<br>*Enum:* `"ACTIVE"`, `"DISABLED"` | No |

#### Error422CardAlreadyExists-1 Schema

| Name | Type | Description | Required |
| ---- | ---- | ----------- | -------- |
| errorCode |  | Code to identify the type of error.<br>*Example:* `"CVC-30010"` | Yes |
| errorMessages |  | Description of the error reason | Yes |

#### AssociatedIdType Schema

Associated Id type

| Name | Type | Description | Required |
| ---- | ---- | ----------- | -------- |
| AssociatedIdType | string, <br>**Available values:** "ALIAS", "PAYMENT_CREDENTIAL" | Associated Id type |  |

**Example**
<pre>PAYMENT_CREDENTIAL</pre>

#### AliasInquiryResponse Schema

Alias Inquiry Response Payload

| Name | Type | Description | Required |
| ---- | ---- | ----------- | -------- |
| details |  | Alias information associated with found records<br>*Example:* `[{"entities":[{"id":"123","preferredFor":[{"date":"1980-02-01T10:00:00Z","type":"RECEIVE"}]}],"aliasType":"PHONE","aliasValue":"123456789"},{"entities":[{"id":"988","preferredFor":[{"date":"1980-02-01T10:00:00Z","type":"RECEIVE"}]}],"aliasType":"EMAIL","aliasValue":"visa@visa.com"},{"entities":[{"id":"abc"}],"aliasType":"PHONE","aliasValue":"+987456321"}]` | No |

#### Error404ResponseAD Schema

| Name | Type | Description | Required |
| ---- | ---- | ----------- | -------- |
| errorCode |  | Code to identify the type of error. Fixed 404 in this case.<br>*Example:* `"404"` | Yes |
| errorMessages |  | Textual description for the reason of the error | Yes |

#### BatchProcessRequest-1 Schema

| Name | Type | Description | Required |
| ---- | ---- | ----------- | -------- |
| data |  | Encrypted data containing the requests to be executed in the batch process. Please refer to the product documentation on batch processing for more information on how to generate the encrypted data.<br>*Example:* `"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"` | Yes |
| keyId |  | This identifies a specific batch operation job. Please use the “id” value retrieved from the /batchKeys endpoint.<br>*Example:* `"e336c8c8-2945-4be3-af3e-951ec2d01219"` | Yes |
| operation | <br>**Available values:** "CREATE_ALIAS", "DELETE_ALIAS", "UPDATE_BANK_PAYMENT_CREDENTIAL" | The operation to be performed in the batch process, e.g., Create Alias. Only one operation can be used for each batch process request.<br>*Enum:* `"CREATE_ALIAS"`, `"DELETE_ALIAS"`, `"UPDATE_BANK_PAYMENT_CREDENTIAL"` | Yes |

#### BIC Schema

Business Identifier Code (BIC) of the Sponsor FI (Acquirer)
ISO20022 field name: Debtor Agent FI BIC

| Name | Type | Description | Required |
| ---- | ---- | ----------- | -------- |
| BIC | string | Business Identifier Code (BIC) of the Sponsor FI (Acquirer) ISO20022 field name: Debtor Agent FI BIC  |  |

**Example**
<pre>AAAABBCC123</pre>

#### BankAliasResponseResolve Schema

| Name | Type | Description | Required |
| ---- | ---- | ----------- | -------- |
| BIC |  | Bank account Business Identifier Code (BIC)  Conditional for select markets.  ISO20022 element name: Creditor Agent -> Financial Institution -> BICFI <br>*Example:* `"12345678"` | No |
| type |  | In this case, value must be: `BANK` <br>*Example:* `"BANK"` | Yes |
| address | { **"city"**: , **"state"**: , **"country"**: undefined (We recommend to use the Alpha-3), **"postalCode"**: , **"streetName"**: , **"addressLine1"**: , **"addressLine2"**: , **"buildingNumber"**: , **"minorSubdivisionCode"**:  } |  | No |
| bankCode |  | Bank account bank code  Conditional for select markets.  ISO20022 element name: Creditor Agent -> Financial Institution -> Clearing System Member Identification <br>*Example:* `"173"` | No |
| bankName |  | Bank name of the payment credential  ISO20022 element name: Creditor Agent -> Financial Institution -> Name <br>*Example:* `"Bank of America"` | Yes |
| branchCode |  | Bank account branch code  Conditional for select markets.  ISO20022 field name: Creditor Agent Branch Identification <br>*Example:* `"123456"` | No |
| accountName |  | Bank account name, i.e., accountholder name as recorded on the bank account  ISO20022 element name: Creditor Account -> Name <br>*Example:* `"WALLETX"` | Yes |
| accountType | <br>**Available values:** "CHECKING", "SAVING", "MAESTRA", "VISTA", "LOAN" | Bank account type  ISO20022 element name: Creditor Account -> Type <br>*Enum:* `"CHECKING"`, `"SAVING"`, `"MAESTRA"`, `"VISTA"`, `"LOAN"` | No |
| countryCode |  | Bank account country code.  Format: 3-character ISO-3166 (Alpha-3) country code  ISO20022 element name: Creditor Agent -> Financial Institution -> Country <br>*Example:* `"USA"` | Yes |
| bankCodeType | <br>**Available values:** "ABA", "SORT_CODE", "DEFAULT" | Bank account bank code type  Conditional for select markets.  ISO20022 element name: Creditor Agent -> Financial Institution -> Clearing System Member Identification -> Clearing System Identification <br>*Enum:* `"ABA"`, `"SORT_CODE"`, `"DEFAULT"` | No |
| currencyCode |  | Bank account currency code  Format: 3-character ISO-4217 (Alpha-3) currency code  ISO20022 element name: Creditor Account -> Currency <br>*Example:* `"USD"` | Yes |
| preferredFor |  | Indicates if a payment credential is a preferred **Receiving**,  **Sending**, or **Paying** account. **Receiving** allows for funds to be pushed into the payment credential. **Sending** allows for funds to be sent from the payment credential. **Paying** allows for the payment credential to be used for purchases. More than one preferred type can be used.  | No |
| accountNumber |  | Bank account number  ISO20022 element name: Creditor Account Number <br>*Example:* `"4111111145551140"` | Yes |
| accountNumberType | <br>**Available values:** "IBAN", "DEFAULT" | Bank account number type. Valid values: "IBAN" and "DEFAULT". If the IBAN format is not supported in a country, use DEFAULT. <br>*Enum:* `"IBAN"`, `"DEFAULT"`<br>*Example:* `"DEFAULT"` | Yes |

#### Error400CreateAliasResponse-1 Schema

| Name | Type | Description | Required |
| ---- | ---- | ----------- | -------- |
| errorCode |  | Code to identify the type of error. Fixed 400 in this case<br>*Example:* `"400"` | Yes |
| errorMessages |  | Description of the error reason | Yes |

#### AliasValueRequest-1 Schema

| Name | Type | Description | Required |
| ---- | ---- | ----------- | -------- |
| aliasValue |  | A customer unique identifier that represents him in the payment ecosystem where the user move funds. The format will change depending the type.<br>*Example:* `"1231231234"` | Yes |

#### PaymentCredentialModifiedOn Schema

Date of the last update of the payment credential, in ISO UTC format YYYY-MM-DDThh:mm:ss.000Z

| Name | Type | Description | Required |
| ---- | ---- | ----------- | -------- |
| PaymentCredentialModifiedOn | dateTime | Date of the last update of the payment credential, in ISO UTC format YYYY-MM-DDThh:mm:ss.000Z |  |

**Example**
<pre>2021-01-01T22:52:46.000Z</pre>

#### PaymentCredentialPreferredForWithDateItem Schema

| Name | Type | Description | Required |
| ---- | ---- | ----------- | -------- |
| date | dateTime | Date and time when set as preferred<br>*Example:* `"2021-01-01T22:52:46Z"` | Yes |
| type | string, <br>**Available values:** "RECEIVE", "SEND", "PAY" | Type of preference<br>*Enum:* `"RECEIVE"`, `"SEND"`, `"PAY"` | Yes |

#### AccountNumber Schema

When present, this field contains recipient’s account number at the bank.

| Name | Type | Description | Required |
| ---- | ---- | ----------- | -------- |
| AccountNumber | string | When present, this field contains recipient’s account number at the bank. |  |

**Example**
<pre>3012345678901432</pre>

#### Error404AliasResponse-1 Schema

| Name | Type | Description | Required |
| ---- | ---- | ----------- | -------- |
| errorCode |  | Code to identify the type of error.<br>*Example:* `"LDS-30002"` | Yes |
| errorMessages |  | Description of the error reason | Yes |

#### AliasMetadataRequest Schema

| Name | Type | Description | Required |
| ---- | ---- | ----------- | -------- |
| action | string, <br>**Available values:** "ADD", "DELETE" | Mode of Action. ADD creates a new Alias metadata record. If the same Alias value is used, all information will be updated using the latest Create call. For example, the preferredFor can be removed for an existing Alias metadata record by not specifying a preferredFor in a ADD call. DELETE - Deletes an existing Alias metadata record.<br>*Enum:* `"ADD"`, `"DELETE"`<br>*Example:* `"ADD"` | Yes |
| aliasType | string, <br>**Available values:** "PHONE", "EMAIL" | The type of Alias in aliasValue<br>*Enum:* `"PHONE"`, `"EMAIL"`<br>*Example:* `"PHONE"` | Yes |
| aliasValue | string | The value of the Alias.<br>*Example:* `"19002387857"` | Yes |
| preferredPaymentCredentials | [ { **"type"**: string, <br>**Available values:** "BANK", "CARD", **"preferredFor"**: [ { **"type"**: string, <br>**Available values:** "RECEIVE", "SEND", "PAY" } ] } ] | List of payment credentials to be linked to the Alias.  | Yes |

#### GenerateReportRequest Schema

| Name | Type | Description | Required |
| ---- | ---- | ----------- | -------- |
| format | string, <br>**Available values:** "JSON" | Format of created report. <br>*Enum:* `"JSON"` | No |
| filters | { **"endDate"**: dateTime, **"aliasType"**: string, <br>**Available values:** "PHONE", "EMAIL", **"startDate"**: dateTime, **"aliasStatuses"**: [ string, <br>**Available values:** "ACTIVE", "DISABLED", "BLOCKED", "EXPIRED", "DELETED" ], **"billingEventTypes"**: [ string ] } | Define the data included in the report.  | No |
| reportType | string, <br>**Available values:** "PLATFORM_REQUESTS", "DIRECTORY_STATUS", "RESOLUTION_RECONCILIATION", "DIRECTORY_ACTIVITY", "PAYMENT_CREDENTIAL_DETAILS" | Report type to create. <br>*Enum:* `"PLATFORM_REQUESTS"`, `"DIRECTORY_STATUS"`, `"RESOLUTION_RECONCILIATION"`, `"DIRECTORY_ACTIVITY"`, `"PAYMENT_CREDENTIAL_DETAILS"` | No |

#### UpdatePaymentCredentialRequest-1 Schema

| Name | Type | Description | Required |
| ---- | ---- | ----------- | -------- |
| UpdatePaymentCredentialRequest-1 | { **"type"**: , **"cardType"**: , **"issuerName"**: , **"nameOnCard"**: , **"currencyCode"**: , **"billingAddress"**: { **"city"**: , **"state"**: undefined (We recommend to use the ISO 3166-2), **"country"**: undefined (We recommend to use the Alpha-3), **"postalCode"**: , **"streetName"**: , **"addressLine1"**: , **"addressLine2"**: , **"buildingNumber"**: , **"minorSubdivisionCode"**:  }, **"expirationDate"**: undefined (YYYY-MM) } & { **"type"**: <br>**Available values:** "BANK", "CARD", **"externalId"**: , **"preferredFor"**:  } or { **"type"**: <br>**Available values:** "BANK", "CARD", **"externalId"**: , **"preferredFor"**:  } & { **"BIC"**: , **"type"**: , **"address"**: { **"city"**: , **"state"**: undefined (We recommend to use the ISO 3166-2), **"country"**: undefined (We recommend to use the Alpha-3), **"postalCode"**: , **"streetName"**: , **"addressLine1"**: , **"addressLine2"**: , **"buildingNumber"**: , **"minorSubdivisionCode"**:  }, **"bankCode"**: , **"bankName"**: , **"branchCode"**: , **"accountName"**: , **"accountType"**: <br>**Available values:** "CHECKING", "SAVING", **"countryCode"**: undefined (We recommend to use the Alpha-3), **"bankCodeType"**: <br>**Available values:** "ABA", "SORT_CODE", "DEFAULT", **"currencyCode"**:  } |  |  |

#### AssociatedId Schema

This is an UUID associated to external id

| Name | Type | Description | Required |
| ---- | ---- | ----------- | -------- |
| AssociatedId | string | This is an UUID associated to external id |  |

**Example**
<pre>a44c9553-e687-4f3c-b7e7-a4245d9f238e</pre>

#### GetAliasMetadataRequest Schema

| Name | Type | Description | Required |
| ---- | ---- | ----------- | -------- |
| aliases | [ string ] | Array of Aliases e.g., phone numbers or email addresses. | Yes |

#### GetAliasMetadataResponse Schema

| Name | Type | Description | Required |
| ---- | ---- | ----------- | -------- |
[...]
